# Uses of Class
javax.sql.rowset.RowSetWarning

Packages that use RowSetWarning
Package
Description
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.

## Uses of RowSetWarning in javax.sql.rowset

Methods in javax.sql.rowset that return RowSetWarning
Modifier and Type
Method
Description
`RowSetWarning`
RowSetWarning.`getNextWarning()`
Retrieves the warning chained to this `RowSetWarning` object.
`RowSetWarning`
CachedRowSet.`getRowSetWarnings()`
Retrieves the first warning reported by calls on this `RowSet` object.
`RowSetWarning`
JdbcRowSet.`getRowSetWarnings()`
Retrieves the first warning reported by calls on this `JdbcRowSet` object.
Methods in javax.sql.rowset with parameters of type RowSetWarning
Modifier and Type
Method
Description
`void`
RowSetWarning.`setNextWarning(RowSetWarning warning)`
Sets warning as the next warning, that is, the warning chained to this `RowSetWarning` object.